type: object
required:
  - file
  - reference
  - entity
  - type
properties:
  id:
    type: integer
    format: int64
    minimum: 1
  file:
    type: string
    format: 'binary'
  reference:
    type: integer
    format: int64
    minimum: 1
  entity:
    type: string
    enum:
      - EVENT
      - PACKAGE
      - TICKET
      - REQUEST
      - GUEST
      - ASSET
      - USER
  type:
    type: string
    enum:
      - IMAGE
      - ICON
      - DOCUMENT
      - EMAIL_TEMPLATE
  key:
    type: string
  url:
    type: string
    format: uri

  created_at:
    type: string
    format: date-time
  updated_at:
    type: string
    format: date-time
